Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester3.substitution
Class VariableAttributes

    java.lang.Object
      org.apache.commons.digester3.substitution.VariableAttributes

All Implemented Interfaces:
  Attributes

    public class VariableAttributes

extends Object
implements Attributes

Wrapper for an `Attributes` object which expands any "variables" referenced in the attribute value via ${foo} or similar. This is only done when something actually asks for the attribute value, thereby imposing no performance penalty if the attribute is not used.

Since:
  1.6

Constructor Summary
`VariableAttributes()`

Method Summary
`int` | `getIndex(String qname)`
`int` | `getIndex(String uri, String localpart)`
`int` | `getLength()`
`String` | `getLocalName(int index)`
`String` | `getQName(int index)`
`String` | `getType(int index)`
`String` | `getType(String qname)`
`String` | `getType(String uri, String localname)`
`String` | `getURI(int index)`
`String` | `getValue(int index)`
`String` | `getValue(String qname)`
`String` | `getValue(String uri, String localname)`
`void` | `init(Attributes attrs, VariableExpander expander)` Specify which attributes class this object is a proxy for.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VariableAttributes

    public VariableAttributes()

Method Detail

### init

    public void init(Attributes attrs,
                     VariableExpander expander)

  Specify which attributes class this object is a proxy for.

  Parameters:
    `attrs` - The attributes where variables have to be expanded.
    `expander` - The variables expander instance.

### getValue

    public String getValue(int index)

  Specified by:
    `getValue` in interface `Attributes`

### getValue

    public String getValue(String qname)

  Specified by:
    `getValue` in interface `Attributes`

### getValue

    public String getValue(String uri,
                           String localname)

  Specified by:
    `getValue` in interface `Attributes`

### getIndex

    public int getIndex(String qname)

  Specified by:
    `getIndex` in interface `Attributes`

### getIndex

    public int getIndex(String uri,
                        String localpart)

  Specified by:
    `getIndex` in interface `Attributes`

### getLength

    public int getLength()

  Specified by:
    `getLength` in interface `Attributes`

### getLocalName

    public String getLocalName(int index)

  Specified by:
    `getLocalName` in interface `Attributes`

### getQName

    public String getQName(int index)

  Specified by:
    `getQName` in interface `Attributes`

### getType

    public String getType(int index)

  Specified by:
    `getType` in interface `Attributes`

### getType

    public String getType(String qname)

  Specified by:
    `getType` in interface `Attributes`

### getType

    public String getType(String uri,
                          String localname)

  Specified by:
    `getType` in interface `Attributes`

### getURI

    public String getURI(int index)

  Specified by:
    `getURI` in interface `Attributes`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.